import { Event } from "../../../../base/common/event.js";
import { IOutputChannel, IOutputChannelDescriptor } from "./output.js";
export declare const IOutputService: import("../../../../platform/instantiation/common/instantiation.js").ServiceIdentifier<IOutputService>;
export interface IOutputService {
    readonly _serviceBrand: undefined;
    getChannel(id: string): IOutputChannel | undefined;
    getChannelDescriptor(id: string): IOutputChannelDescriptor | undefined;
    getChannelDescriptors(): IOutputChannelDescriptor[];
    getActiveChannel(): IOutputChannel | undefined;
    showChannel(id: string, preserveFocus?: boolean): Promise<void>;
    onActiveOutputChannel: Event<string>;
}
